<#
$Verzeichnis = Read-Host -Prompt "Zielverzeichnis: "

Write-Host $Verzeichnis

$IstVorhanden = $(Test-Path $Verzeichnis)

Write-Host $IstVorhanden
#>

# Gültigen Pfad eingeben und anschließend in diesem Verzeichnis .txt-Datei öffnen

$UngueltigerPfad = $true


while ($UngueltigerPfad)
{
    $Pfad = Read-Host -Prompt "Zielverzeichnis: "
    $UngueltigerPfad = -not $(Test-Path $Pfad -PathType Container)
}
# Write-Host "Gültigen Pfad angegeben"

$Dateien = split-path $(Get-ChildItem $Pfad\*.txt) -Leaf

Write-Host $Dateien

$Input = $Dateien | Out-GridView -PassThru -Title "Datei wählen"

Write-Host $Input

$DateiPfad = Join-Path -path $Pfad -childpath $Input -Resolve
Write-Host $DateiPfad